[
    {
        "constant": true,
        "inputs": [
            {
                "desc": "账户地址",
                "name": "account",
                "type": "address"
            }
        ],
        "name": "isPauser",
        "desc": "查询是否拥有暂停权",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "给账户添加暂停权",
        "constant": false,
        "inputs": [
            {
                "desc": "账户地址",
                "name": "account",
                "type": "address"
            }
        ],
        "name": "addPauser",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "撤销当前账户的暂停权",
        "constant": false,
        "inputs": [],
        "name": "renouncePauser",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "暂停合约",
        "constant": false,
        "inputs": [],
        "name": "pause",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "constant": false,
        "inputs": [],
        "name": "unpause",
        "desc": "取消合约暂停状态",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "constant": true,
        "inputs": [],
        "desc": "查询是否已暂停",
        "name": "paused",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "constant": true,
        "desc": "根据索引查询委员会成员地址",
        "inputs": [
            {
                "desc": "成员索引",
                "name": "",
                "type": "uint256"
            }
        ],
        "name": "commitees",
        "outputs": [
            {
                "name": "",
                "type": "address"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询账户是否属于委员会成员",
        "constant": true,
        "inputs": [
            {
                "desc": "账户地址",
                "name": "",
                "type": "address"
            }
        ],
        "name": "isCommitee",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "移除委员会成员",
        "constant": false,
        "inputs": [
            {
                "desc": "成员地址",
                "name": "commitee",
                "type": "address"
            }
        ],
        "name": "removeCommitee",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "修改最小确认数",
        "constant": false,
        "inputs": [
            {
                "desc": "最小确认数",
                "name": "_required",
                "type": "uint256"
            }
        ],
        "name": "changeRequirement",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "查询最小确认数",
        "constant": true,
        "inputs": [],
        "name": "required",
        "outputs": [
            {
                "name": "",
                "type": "uint256"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询交易数量",
        "constant": true,
        "inputs": [],
        "name": "transactionCount",
        "outputs": [
            {
                "name": "",
                "type": "uint256"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询TOKEN地址",
        "constant": true,
        "inputs": [],
        "name": "token",
        "outputs": [
            {
                "name": "",
                "type": "address"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询合约账户余额",
        "constant": true,
        "inputs": [],
        "name": "getTotalBalance",
        "outputs": [
            {
                "name": "tokensCurrentlyInVault",
                "type": "uint256"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "转移合约所有权",
        "constant": false,
        "inputs": [
            {
                "desc": "新所有权账户地址",
                "name": "newOwner",
                "type": "address"
            }
        ],
        "name": "transferOwnership",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "desc": "查询合约拥有者地址",
        "constant": true,
        "inputs": [],
        "name": "owner",
        "outputs": [
            {
                "name": "",
                "type": "address"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "desc": "查询账户是否属于账户拥有者",
        "constant": true,
        "inputs": [],
        "name": "isOwner",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    }
]